<div>
  {{ todo | json }}
  <form action="" #form="ngForm">
    <div>
      <label for="title">Titulo</label>
      <br>
      <input type="text" id="title" name="title" [(ngModel)]="todo.title" #title="ngModel" minlength="5" required>
      <div *ngIf="title?.touched">
        <div *ngIf="title?.errors?.required">
          O campo título é obrigatório
        </div>
        <div *ngIf="title?.errors?.minlength">
          O campo título deve ter ao menos 5 caracteres
        </div>
      </div>
    </div>

    <div>
      <label for="description">Descrição</label>
      <br>
      <textarea name="description" id="description" cols="30" rows="10" [(ngModel)]="todo.description" #description="ngModel" required></textarea>
      <div *ngIf="description?.touched">
        <div *ngIf="description?.errors?.required">
          O campo descrição é obrigatório
        </div>
      </div>
    </div>

    <div>
      <label for="description">Finalizado</label>
      <br>
      <input type="checkbox" name="finished" id="finished" [(ngModel)]="todo.finished" #finished="ngModel">

      <div *ngIf="finished?.touched">
        <div *ngIf="finished?.errors?.required">
          O campo terminado é obrigatório
        </div>
      </div>
    </div>

    <div>
      <label for="date">Data</label>
      <br>
      <input type="date" name="date" id="date" [(ngModel)]="todo.date" #date="ngModel" required>

      <div *ngIf="date?.touched">
        <div *ngIf="date?.errors?.required">
          O campo data é obrigatório
        </div>
      </div>
    </div>
    <button type="submit" [disabled]="form.invalid" (click)="onFormSend()">Enviar</button>
  </form>
</div>
